DCMTK: DcmExtendedNegotiationMap Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DcmExtendedNegotiationMap Class Reference

this helper class maintains a map of extended negotiation lists. More...

## Public Member Functions
| DcmExtendedNegotiationMap ()
| constructor
| ~DcmExtendedNegotiationMap ()
| destructor
| DcmExtendedNegotiationMap (const DcmExtendedNegotiationMap &arg)
| Copy constructor, performs deep copy.
DcmExtendedNegotiationMap & | operator= (const DcmExtendedNegotiationMap &arg)
| Copy assignment operator, performs deep copy.
void | clear ()
| Resets DcmExtendedNegotiationMap and frees any allocated memory.
OFCondition | add (const char *key, const char *abstractSyntaxUID, const unsigned char *rawData, Uint32 length)
| add new entry to list within map.
OFBool | isKnownKey (const char *key) const
| checks if the key is known
OFCondition | checkConsistency (const char *key, const DcmPresentationContextMap &pclist, const char *pckey) const
| checks if each abstract syntax in the extended negotiation list identified by key is also contained in the presentation context list identified by pckey and maintained by pclist.
const DcmExtendedNegotiationList * | getExtendedNegotiationList (const char *key) const
| returns the list of extended negotiation items identified by the given key

## Private Attributes
OFMap< OFString, DcmExtendedNegotiationList * > | map_
| map of extended negotiation lists

## Detailed Description

this helper class maintains a map of extended negotiation lists.

Not intended for use by the end user.

## Constructor & Destructor Documentation

## ◆ DcmExtendedNegotiationMap()

DcmExtendedNegotiationMap::DcmExtendedNegotiationMap | ( | const DcmExtendedNegotiationMap & | arg | ) |

Copy constructor, performs deep copy.

Parameters

  arg | the map to copy

References DcmExtendedNegotiationMap().

## Member Function Documentation

## ◆ add()

OFCondition DcmExtendedNegotiationMap::add | ( | const char * | key,
|  | const char * | abstractSyntaxUID,
|  | const unsigned char * | rawData,
|  | Uint32 | length )

add new entry to list within map.

If key is new, new list is created. Otherwise value is appended to existing list.

Parameters

  key | map key
  abstractSyntaxUID | abstract syntax UID
  rawData | pointer to raw data, must not be NULL
  length | length of data block pointed to by data, in bytes

Returns
  EC_Normal if successful, an error code otherwise

## ◆ checkConsistency()

OFCondition DcmExtendedNegotiationMap::checkConsistency | ( | const char * | key,
|  | const DcmPresentationContextMap & | pclist,
|  | const char * | pckey ) const

checks if each abstract syntax in the extended negotiation list identified by key is also contained in the presentation context list identified by pckey and maintained by pclist.

Parameters

  key | extended negotiation key to check
  pclist | map of presentation context lists
  pckey | presentation context list key to check against

Returns
  EC_Normal if consistent, an error code otherwise

## ◆ getExtendedNegotiationList()

const DcmExtendedNegotiationList * DcmExtendedNegotiationMap::getExtendedNegotiationList | ( | const char * | key | ) | const

returns the list of extended negotiation items identified by the given key

Parameters

  key | extended negotiation list to search

Returns
  pointer to extended negotiation list if found, NULL otherwise

## ◆ isKnownKey()

OFBool DcmExtendedNegotiationMap::isKnownKey | ( | const char * | key | ) | const

checks if the key is known

Parameters

  key | key name, must not be NULL

Returns
  true if key is known, false otherwise

## ◆ operator=()

DcmExtendedNegotiationMap & DcmExtendedNegotiationMap::operator= | ( | const DcmExtendedNegotiationMap & | arg | ) |

Copy assignment operator, performs deep copy.

Parameters

  arg | the map to assign

References DcmExtendedNegotiationMap().

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dccfenmp.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2